Discordコミュニティを作りました! 参加する

フォーラム

トピックを立てる前にチェック
  1. フォーラムガイドライン」に必ず目を通してください。
  2. バージョンアップデート後に表示がおかしくなった場合は、
    「SWELL設定」>「リセット」からキャッシュクリアを先にお試しください。
  3. フォーラム内検索で過去に同じようなトピックがないか検索してみてください。
ブロックエディターを編集できない。
 
通知
すべてクリア

ブロックエディターを編集できない。

8 投稿
4 ユーザー
3 Likes
157 表示
pnh1228
(@pnh1228)
投稿: 7
メンバー
Topic starter
 
確認項目
利用規約に同意します*, ガイドラインを読み、内容を把握しています*, よくある質問を先にチェック済みです*, 過去に同じようなトピックがないか検索済みです*, WordPress更新後、SWELLは最新版にしましたか?, Googleなどでも検索してみました, プラグインを停止しても同じことが起こることを確認しました, 自分で追加したコードに問題がないかチェック済みです
問題が確認できるページのURL
利用中のSWELL本体のバージョン
2.9.0
利用中のPHPバージョン
7.4.33
OS
Windows
利用中のWordPressバージョン
6.4.2
利用中のサーバー会社
自社サーバー
ブラウザ
chrome等
利用中のプラグイン一覧

なし(すべて無効化)

 
投稿済 : 12/01/2024 3:18 pm
skillsharejp
(@skillsharejp)
投稿: 924
SWELL高速化顧問
 

デフォルトテーマで同じエラーは発生しますか?まずはSWELLなのかWPなのか、問題の切り分けが大事です。

SWELLフォーラムはユーザーフォーラムのため、開発者以外の回答は全て任意です。当アカウントによる回答もボランティアのため、ヒントの提供に留まる場合があります。

ご依頼のご相談・お問い合わせ窓口
https://skillshare.biz/inquiry/

 
投稿済 : 12/01/2024 4:40 pm
pnh1228
(@pnh1228)
投稿: 7
メンバー
Topic starter
 

ご連絡ありがとうございます。

デフォルトテーマではエラーが発生しないことを確認しています。

ですので、SWELLの問題である可能性が高いと思われます。

 

よろしくお願いします。

 
投稿済 : 12/01/2024 6:36 pm
skillsharejp reacted
skillsharejp
(@skillsharejp)
投稿: 924
SWELL高速化顧問
 
投稿者:: @pnh1228

Windows

一つ思いあたるとしたらWindowsサーバーという点ですね。多くのWPプロダクトはLinuxサーバーで運用される前提で開発されているので、Windows環境で動かした場合は想定されていないかもしれません。

SWELLフォーラムはユーザーフォーラムのため、開発者以外の回答は全て任意です。当アカウントによる回答もボランティアのため、ヒントの提供に留まる場合があります。

ご依頼のご相談・お問い合わせ窓口
https://skillshare.biz/inquiry/

 
投稿済 : 12/01/2024 7:07 pm
pnh1228
(@pnh1228)
投稿: 7
メンバー
Topic starter
 

サーバーはLINIXサーバーになります。

日本国内で使用した時はエラーは発生しないのですが、海外で使用している時にエラーが発生する(海外アクセス時はVPN接続しています)ため、VPNに問題があるのかなと推測しておりましたが、それはあまり関係ないでしょうか?

 
投稿済 : 12/01/2024 7:47 pm
了
 
(@loos_ryo)
投稿: 1248
メンバー Admin
 

エラーが wp-includes/js/dist/vendor/react-dom.min.js で発生しているので、SWELLのファイルで発生しているエラーではないようにみえますが、SWELLではブロックエディターの機能を高度にカスタマイズしているためそれが原因かもしれません。(デフォルトテーマはブロックエディターのカスマイズは皆無なので)

ただしその場合、SWELLが呼び出しているのは基本的にコアで用意されている関数なので、根本的な問題はコア側にあるかもしれません。

WordPressのサポートフォーラムに同じような質問がないかも、一応探してみていただけますでしょうか。

 

また、この件はこちらでエラーの再現ができない限り原因解明が難しいと思われますが、「海外からVPN経由で接続する」という行為自体を私の方で再現できないため、改善も難しいかもしれません...。

SWELL開発者です。

 
投稿済 : 12/01/2024 11:14 pm
skillsharejp reacted
山本大介
(@b4rskbe5)
投稿: 114
メンバー
 

エラー文を読む限り、React で管理されている部分の全部もしくは一部の構造が変わってしまっている可能性がありそうです。翻訳以外にも何かしらのページ内の要素を操作するような拡張機能や WP のカスタマイズなどを使用していませんか?

例えば、アイコンで Font Awesome を使う場合に JS で SVG 置き換えなどを行う場合でもエラーが発生する可能性がある (未確認) と思います。(あくまで一例で、こういった後から DOM に変更を加える機能ではあり得るかもしれません)

Web 開発やってます。3/31まで不具合やカスタマイズを定額で行うサービスを20%引きでキャンペーン中です!
WordPress プラグインも開発しています。
Image Quality Control ・・・ 画像最適化のプラグイン
Combine Social Photos ・・・ Instagram 埋め込みブロックのプラグイン

 
投稿済 : 13/01/2024 5:07 pm
skillsharejp reacted
pnh1228
(@pnh1228)
投稿: 7
メンバー
Topic starter
 

みなさんアドバイスありがとうございます。

こちらで色々と解決策を模索したところ、不具合を解消することができました。

原因は、ブラウザのGoogle翻訳機能をONにしていたことでした。

これは拡張機能ではなく、ブラウザの設定画面から設定を行う自動翻訳の機能のことです。

各ブラウザでこの設定OFFにしたところ、エラーが解消され問題なく使えるようになりました。

ちなみに日本でこの機能をONにしていてもエラーは発生しませんでしたが、海外でVPN経由でアクセスする際にこの機能をONにしているとエラーが発生するようです。

SWELLはReact-domを使用しているようですが、これがGoogleの翻訳機能と互換性がないようです。

https://github.com/facebook/react/issues/11538

Edgeの翻訳機能もONにするとエラーが発生し、OFFにするとエラーが解消されるため、これもGoogle翻訳同様、互換性が無い可能性があります。

今後の参考にしていただければと思います。

 

色々とサポートいただきありがとうございました。

 
投稿済 : 18/01/2024 4:20 pm
共有: